﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Full Class List - Before & After Report
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>

    <form ng-submit="prepareGrid()" class="no-margin">

        <div class="place-left one-fourth padding-right20">
            <label>Organization</label>
            <div class="input-control select" data-role="input-control">
                <select ng-change="updateChosenRadio()" ng-model="Model.ClubType" ng-options="obj.Value as obj.Title for obj in ClubTypes"></select>
            </div>
        </div>

        <div class="input-control radio">
            <label>&nbsp;</label>
            <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.IsAllClubs" value="true" type="radio" ng-change="updateChosenScope()" />
                    <span class="check"></span>
                    <span ng-show="Model.ClubType == 'school'"> All schools </span>
                    <span ng-show="Model.ClubType == 'provider'"> All providers </span>
                    <span ng-show="Model.ClubType == 'district'"> All school districts </span>
                </label>
            </div>
            <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.IsAllClubs" value="false" type="radio" ng-change="getClubs(Model.ClubType)" />
                    <span class="check"></span>
                    <span ng-show="Model.ClubType == 'school'"> Selected schools </span>
                    <span ng-show="Model.ClubType == 'provider'"> Selected providers </span>
                    <span ng-show="Model.ClubType == 'district'"> Selected school districts </span>
                </label>
            </div>
        </div>
        <div class="input-control choosen" data-role="input-control" ng-show="Model.IsAllClubs == 'false'">
            <label>{{Model.ClubType == 'school' ? 'School' : Model.ClubType == 'provider' ? 'Provider' : 'School districts'}}</label>
            <select chosen multiple
                    ng-model="Model._SelectedClubs"
                    data-placeholder="{{Model.ClubType == 'school' ? 'Select some schools' : Model.ClubType == 'provider' ? 'Select some providers' : 'Select some school districts'}}"
                    ng-options="obj.Value as obj.Text for obj in AllClubs"></select>
        </div>

        <div class="clearfix"></div>

        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Season</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.SeasonName" ng-options="obj.Value as obj.Text for obj in Model.AllSeason"></select>
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Year</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.Year" ng-options="obj.Value as obj.Text for obj in Years"></select>
            </div>
        </div>

        <div class="clearfix"></div>

        <button type="submit" class="primary large place-right button" style="margin-top: 25px">Run</button>
        <input class="button link place-right on-left-more" style="margin-top: 33px; text-align: right" value="Clear filters" ng-click="clearFilters()">
        <div class="clearfix" style="margin-bottom: 20px"></div>
    </form>


    <div ng-show="IsReportRun">
        <div class="clearfix"></div>
        <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
            <div class="wrapper1">
                <div class="div1"></div>
            </div>
            <div class="wrapper2">
                <div class="div2">
                    <kendo-grid id="fullClassListReportGrid" options="fullClassListReportGridOptions" class="resizable scroll"></kendo-grid>
                </div>
            </div>
        </div>
    </div>

    <div class="clearfix"></div>

</div>
